Get account settings

GET /api/v1/user/accounts/{account_id}/settings

Retrieve account settings for the given account ID. Call this method to get details about a particular account setting, whether Cloud Shell is enabled, the list of enabled regions and the list of enabled features. Users need to be an account owner or users need to be assigned an IAM policy with the Administrator role for the Cloud Shell account management service.

Request

Response

200 - Get account setting

_id

string

Unique id of the settings object

_rev

string

Unique revision number for the settings object

account_id

string

The id of the account the settings belong to

created_at

integer

Creation timestamp in Unix epoch time

created_by

string

IAM ID of creator

default_enable_new_features

boolean

You can choose which Cloud Shell features are available in the account and whether any new features are enabled as they become available. The feature settings apply only to the enabled Cloud Shell locations.

default_enable_new_regions

boolean

Set whether Cloud Shell is enabled in a specific location for the account. The location determines where user and session data are stored. By default, users are routed to the nearest available location.

enabled

boolean

When enabled, Cloud Shell is available to all users in the account

features

FeatureSettingList

List of Cloud Shell features

regions

RegionSettingList

List of Cloud Shell region settings

type

string

Type of api response object

updated_at

integer

Timestamp of last update in Unix epoch time

updated_by

string

IAM ID of last updater

Update account settings

POST /api/v1/user/accounts/{account_id}/settings

Update account settings for the given account ID. Call this method to update account settings configuration, you can enable or disable Cloud Shell, enable or disable available regions and enable and disable features. To update account settings, users need to be an account owner or users need to be assigned an IAM policy with the Administrator role for the Cloud Shell account management service.

Authorization

To call this method, you must be assigned one or more IAM access roles that include the following action.

  • ``

Auditing

Calling this method generates the following auditing event.

  • ``

Request

Request Body

AccountSettings

Account settings object in JSON

_id

string

Unique id of the settings object

_rev

string

Unique revision number for the settings object

account_id

string

The id of the account the settings belong to

created_at

integer

Creation timestamp in Unix epoch time

created_by

string

IAM ID of creator

default_enable_new_features

boolean

You can choose which Cloud Shell features are available in the account and whether any new features are enabled as they become available. The feature settings apply only to the enabled Cloud Shell locations.

default_enable_new_regions

boolean

Set whether Cloud Shell is enabled in a specific location for the account. The location determines where user and session data are stored. By default, users are routed to the nearest available location.

enabled

boolean

When enabled, Cloud Shell is available to all users in the account

features

FeatureSettingList

List of Cloud Shell features

regions

RegionSettingList

List of Cloud Shell region settings

type

string

Type of api response object

updated_at

integer

Timestamp of last update in Unix epoch time

updated_by

string

IAM ID of last updater

Response

200 - Details of updated account settings

_id

string

Unique id of the settings object

_rev

string

Unique revision number for the settings object

account_id

string

The id of the account the settings belong to

created_at

integer

Creation timestamp in Unix epoch time

created_by

string

IAM ID of creator

default_enable_new_features

boolean

You can choose which Cloud Shell features are available in the account and whether any new features are enabled as they become available. The feature settings apply only to the enabled Cloud Shell locations.

default_enable_new_regions

boolean

Set whether Cloud Shell is enabled in a specific location for the account. The location determines where user and session data are stored. By default, users are routed to the nearest available location.

enabled

boolean

When enabled, Cloud Shell is available to all users in the account

features

FeatureSettingList

List of Cloud Shell features

regions

RegionSettingList

List of Cloud Shell region settings

type

string

Type of api response object

updated_at

integer

Timestamp of last update in Unix epoch time

updated_by

string

IAM ID of last updater